#include <stdio.h>
#include <stdlib.h>


int main()
{
    char c1, c2;
    scanf("%c%c", &c1 , &c2);
    const int a1, a2;
    scanf("%d %d", &a1 , &a2);
    char string[a1+a2];
    if(a1-a2 < -1 || a1-a2 > 1)
        printf("nemoguce");
    else
    {
        if(a2 > a1)
            for(int i = 0; i < a1+a2; i++)
            {
                string[i] = c2;
                i++;
                if(i == a1+a2)
                    break;
                string[i] = c1;
            }
            else
            {
                for(int i = 0; i < a1+a2; i++)
                {
                    string[i] = c1;
                    i++;
                    if(i == a1+a2)
                        break;
                    string[i] = c2;
                }
            }
            for(int i = 0; i < a1+a2; i++)
                   printf("%c",string[i]);
    }
    return 0;
}